import { FactoryProvider } from '@angular/core';
import { Observable } from 'rxjs';
import { IHttpUtility, HttpUtility } from 'rl-http';
import { ISingletonResourceParams } from '../resourceBuilder/resourceBuilder.service';
export interface ISingletonDataService<TDataType> {
    get(): Observable<TDataType>;
    update(domainObject: TDataType): Observable<TDataType>;
    version(versionNumber: number): SingletonDataService<TDataType>;
    useMock: boolean;
    logRequests: boolean;
}
export declare class SingletonDataService<TDataType> implements ISingletonDataService<TDataType> {
    private behavior;
    private mockData;
    endpoint: string;
    url: string;
    useMock: boolean;
    logRequests: boolean;
    constructor(http: IHttpUtility, options: ISingletonResourceParams<TDataType>);
    get(): Observable<TDataType>;
    update(domainObject: TDataType): Observable<TDataType>;
    version(versionNumber: number): SingletonDataService<TDataType>;
}
export interface ISingletonDataServiceFactory {
    getInstance<TDataType>(options: ISingletonResourceParams<TDataType>): ISingletonDataService<TDataType>;
}
export declare class SingletonDataServiceFactory {
    private http;
    constructor(http: HttpUtility);
    getInstance<TDataType>(options: ISingletonResourceParams<TDataType>): ISingletonDataService<TDataType>;
}
export declare function SingletonDataServiceProvider(options: ISingletonResourceParams<any>): FactoryProvider;
