import { IObjectUtility, ObjectUtility } from '../object/object.service';
import { IStringUtility, StringUtility } from '../string/string.service';
import { ISerializableFilter, SerializableFilter } from '../../filters/filter';
export declare var filterName: string;
export interface IGenericSearchFilter extends ISerializableFilter<string> {
    type: string;
    searchText: string;
    minSearchLength: number;
    caseSensitive: boolean;
    filter<TItemType>(item: TItemType): boolean;
}
export declare class GenericSearchFilter extends SerializableFilter<string> implements IGenericSearchFilter {
    protected object: IObjectUtility;
    private string;
    private tokenized;
    type: string;
    minSearchLength: number;
    caseSensitive: boolean;
    private _searchText;
    constructor(object: IObjectUtility, string: IStringUtility, tokenized: boolean);
    searchText: string;
    serialize(): string;
    filter<TItemType>(item: TItemType): boolean;
}
export interface IGenericSearchFilterFactory {
    getInstance(tokenized?: boolean): IGenericSearchFilter;
}
export declare class GenericSearchFilterFactory implements IGenericSearchFilterFactory {
    private objectUtility;
    private stringUtility;
    constructor(objectUtility: ObjectUtility, stringUtility: StringUtility);
    getInstance(tokenized?: boolean): IGenericSearchFilter;
}
