/// <reference types="core-js" />
import { FactoryProvider } from '@angular/core';
export interface ISynchronizedRequestsService {
    dataProvider: IRequestGetter;
    handleRequest: IRequestCallback;
    getData(...params: any[]): void;
}
export declare class SynchronizedRequestsService {
    private requestId;
    dataProvider: IRequestGetter;
    handleRequest: IRequestCallback;
    constructor(dataProvider: IRequestGetter, handleRequest: IRequestCallback);
    getData(...params: any[]): void;
}
export interface IRequestGetter {
    (...params: any[]): Promise<any>;
}
export interface IRequestCallback {
    (...data: any[]): void;
}
export interface ISynchronizedRequestsFactory {
    getInstance(dataProvider: IRequestGetter, handleRequest: IRequestCallback): ISynchronizedRequestsService;
}
export declare class SynchronizedRequestsFactory {
    getInstance(dataProvider: IRequestGetter, handleRequest: IRequestCallback): ISynchronizedRequestsService;
}
export declare function SynchronizedRequestsProvider(dataProvider: IRequestGetter, handleRequest: IRequestCallback): FactoryProvider;
