import { CompareResult } from '../../types/compareResult';
import { IStringUtility, StringUtility } from '../string/string.service';
import { IObjectUtility, ObjectUtility } from '../object/object.service';
export interface ITime {
    hour: number;
    minute: number;
    period: string;
}
export interface ITimePeriods {
    AM: string;
    PM: string;
}
export declare const timePeriods: ITimePeriods;
export interface ITimeUtility {
    compareTimes(start: string, end: string): CompareResult;
    durationInHours(start: string, end: string): number;
    parseTime(value: string): ITime;
    formatTime(time: ITime, includePeriod?: boolean): string;
    inversePeriod(period: string): string;
}
export declare class TimeUtility {
    stringUtility: IStringUtility;
    objectUtility: IObjectUtility;
    constructor(stringUtility: StringUtility, objectUtility: ObjectUtility);
    compareTimes(start: string, end: string): CompareResult;
    durationInHours(start: string, end: string): number;
    parseTime(value: string): ITime;
    formatTime(time: ITime, includePeriod?: boolean): string;
    inversePeriod(period: string): string;
}
export declare const timeUtility: TimeUtility;
