/// <reference types="core-js" />
export interface ITimeout extends Promise<void> {
    cancel(): void;
    then<TValue>(onSucces: TValue, onError?: any): ITimeout;
    catch<TReason>(reason: TReason): ITimeout;
}
export declare class TimeoutService {
    setTimeout(callbackOrDuration: number): ITimeout;
    setTimeout(callbackOrDuration: Function, duration?: number): ITimeout;
    private wrapPromiseAsTimeout(promise, cancel);
}
